/*
時系列データの取り扱い
輸入関数の推計

*/
cd c:\data

use import.dta,clear

* 時点識別変数の認識
tsset year

* 時系列グラフの作成
tsline mp90
twoway line mp90 year || line xti90 year

gen lmp90=log(mp90)
gen lxti90=log(xti90)
gen price=log(pmxt90/pgdd90)

* ラグ変数、リード変数の例
list year lmp90 price l.price f.price in 1/10

* 最小2乗法におる輸入関数の推計
reg lmp90 lxti90 l.price

* ダービン・ワトソン比の算出
estat dwatson

prais lmp90 lxti90 l.price
