/* -----------------------------------------------
egenによる統計量を含む変数の作成

-------------------------------------------------*/
cd c:\data

use chapter2.dta,clear

sum rent

* rentの平均値を含む変数rent_meanを作成
egen rent_mean=mean(rent)

* rentの偏差
gen dif_rent=rent-rent_mean

list rent rent_mean dif_rent in 1/10

* rentの標準偏差
egen rent_sd=sd(rent)

* rentの偏差値
gen stv_rent=(rent-rent_mean)/rent_sd

* 年次ごとのrentの平均値
egen rent_mean_year=mean(rent),by(year)

list rent rent_mean dif_rent in 1/10

list rent rent_mean rent_mean_year dif_rent in 1/10

