/*

都道府県データによるパネルデータ・セットの作成

*/
cd c:\data

* 都道府県別データの読み込み
use retail-density.dta,clear

*小売店舗密度(dor :density of retai stores)
gen dor = retailer/pop

*人口あたり乗用車数(pcp :number of passenger cars per person)
gen pcp = p_car/pop

*人口あたり商用車数(cvp :number of commercial vehicle per person)
gen cvp = c_vehicle/pop

*人口密度(pdp :population density)
gen pdp = pop/land

* < 記述統計量・相関係数の算出>
tabstat fspace pcp cvp pdp,by(year) 
corr dor fspace pcp cvp pdp

* プーリング回帰モデル（最小二乗法）による推定
reg dor fspace pcp cvp pdp

*Panel dataであることを宣言する
tsset prefecture year

* Fixed Effectによる推定
xtreg dor fspace pcp cvp pdp, fe

* aregによる固定効果モデル
areg do fspace pcp cvp pdp, absorb(prefecture)


