/*************************************************
 企業の海外進出と雇用

fid: 企業コード
year: 年次
sales:売上高
profit:営業利益
slsprofit:売上利益率
wage:従業員あたり賃金俸給
rdsls:研究開発費対売上高比率
labor:従業者数
lf:海外従業者数
 
*************************************************/
cd c:\data


use fdi-firm.dta,clear

* パネルデータの形式を認識させる
tsset fid year
xtdes
* 海外進出ダミー（海外従業者>0なら１をとるダミー変数）
gen mne=0
replace mne=1 if lf>0
* 海外進出のStatus
xttrans mne if year==1994|year==1995

list fid year labor L.labor mne L.mne F.mne lf L.lf F.lf in 16/25
gen growth=log(labor/L.labor)
* 対数従業者数のラグ項
gen llabor=log(L.labor)
* 海外進出企業ダミーのラグ項
gen lmne=L.mne

corr growth llabor slsprofit wage lmne
xtreg growth llabor slsprofit wage lmne,fe
