/*

都道府県データによるパネルデータ・セットの作成

*/
cd c:\data

* 1) mergeコマンドによる生産量データと労働者データの接続
import excel using p-function.xlsx, clear firstrow sheet("y-prefec")

save prod-prefec.dta,replace

* 都道府県別就業者数の読み込み
import excel using p-function.xlsx, clear firstrow sheet("l-prefec")
**** mergeコマンド ****
merge 1:1 prefecture using prod-prefec.dta
tab _merge
drop _merge
save prod-prefec.dta,replace

* 2) appendコマンドにより1993年と1994年の資本ストック・データを接続
* 都道府県別従業者数 k-prefec1993.csv k-prefec1994.csv
import excel using p-function.xlsx, clear firstrow sheet("k-prefec1993")
gen year=1993
save k-prefec.dta, replace
import excel using p-function.xlsx, clear firstrow sheet("k-prefec1994")
gen year=1994
append using k-prefec.dta,gen(id)
tab id year
save k-prefec.dta, replace

sum

* 3) ファイル形式（WIDE形式⇔LONG形式）の変換
use prod-prefec.dta 
sum
reshape long y l,i(prefecture) j(year)
sum
*browse
save prod-prefec.dta,replace

*４）横方向のデータ接続（識別番号を２つ用いるケース）
use k-prefec.dta,clear
*browse
merge 1:1 prefecture year using prod-prefec.dta
tab _merge
drop _merge
sort prefecture year		
save prod-prefec.dta,replace 

sum prefecture y k l 

gen yl=log(y/l)
gen kl=log(k/l)

reg yl kl

tsset prefecture year

* 固定効果モデル
xtreg yl kl,fe
est store fixed

* 変量効果モデル
xtreg yl kl,re
hausman fixed
xttest0

